edu.cmu.pslc.logging.element

## Class StepSequenceElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.StepSequenceElement

-     public class StepSequenceElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepSequenceElement(java.lang.Boolean correctFlag)`
    `StepSequenceElement(java.lang.Boolean correctFlag, java.util.List stepList)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStep(StepElement stepElement)`
    `static StepSequenceElement` | `createCorrectSequence()`
    `static StepSequenceElement` | `createIncorrectSequence()`
    `java.lang.Boolean` | `getCorrectFlag()`
    `java.lang.Boolean` | `getOrderedFlag()`
    `java.util.List` | `getStepList()`
    `void` | `setCorrectFlag(java.lang.Boolean correctFlag)`
    `void` | `setOrderedFlag(java.lang.Boolean orderedFlag)`
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepSequenceElement

          public StepSequenceElement(java.lang.Boolean correctFlag)

    - #### StepSequenceElement

          public StepSequenceElement(java.lang.Boolean correctFlag,
                             java.util.List stepList)

  - ### Method Detail

    - #### createCorrectSequence

          public static StepSequenceElement createCorrectSequence()

    - #### createIncorrectSequence

          public static StepSequenceElement createIncorrectSequence()

    - #### getCorrectFlag

          public java.lang.Boolean getCorrectFlag()

    - #### setCorrectFlag

          public void setCorrectFlag(java.lang.Boolean correctFlag)

    - #### getOrderedFlag

          public java.lang.Boolean getOrderedFlag()

    - #### setOrderedFlag

          public void setOrderedFlag(java.lang.Boolean orderedFlag)

    - #### getStepList

          public java.util.List getStepList()

    - #### addStep

          public void addStep(StepElement stepElement)

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center